List push notification delivery records
curl --request GET \
--url https://api.sendrealm.com/push/notifications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendrealm.com/push/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/push/notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "<string>",
"broadcast_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"title": "<string>",
"body": "<string>",
"platform": "<string>",
"environment": "<string>",
"status": "<string>",
"last_event": "<string>",
"provider_message_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"metadata": {
"total": 123,
"items": 123,
"limit": 123,
"after": "<string>",
"next": "<string>",
"has_more": true
}
}Push Notifications
List Push Notifications
List direct, campaign, automation, and test notification records with redacted provider state.
GET
/
push
/
notifications
List push notification delivery records
curl --request GET \
--url https://api.sendrealm.com/push/notifications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendrealm.com/push/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/push/notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "<string>",
"broadcast_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"title": "<string>",
"body": "<string>",
"platform": "<string>",
"environment": "<string>",
"status": "<string>",
"last_event": "<string>",
"provider_message_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"metadata": {
"total": 123,
"items": 123,
"limit": 123,
"after": "<string>",
"next": "<string>",
"has_more": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of records to return. Defaults to 20.
Required range:
1 <= x <= 100Opaque cursor from the previous page's metadata.next value.
Available options:
android, ios, web Available options:
production, development